
defineObject{
	name = "flower_1",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Bonny_Cl.fbx",
		},
		{
			class = "Item",
			uiName = "Bonny Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 0,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Bonny_Pe",
	diffuseMap = "mod_assets/models/flowers/Bonny_Pe.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_3",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Multicol.fbx",
		},
		{
			class = "Item",
			uiName = "Yellow Orange Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 1,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Sepal0",
	diffuseMap = "mod_assets/models/flowers/Sepal0.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_4",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Orange_s.fbx",
		},
		{
			class = "Item",
			uiName = "Light Orange Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 2,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Sepal1",
	diffuseMap = "mod_assets/models/flowers/Sepal1.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_5",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Pink_fri.fbx",
		},
		{
			class = "Item",
			uiName = "Pink Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 3,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Sepal2",
	diffuseMap = "mod_assets/models/flowers/Sepal2.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_6",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Primrose.fbx",
		},
		{
			class = "Item",
			uiName = "Primrose Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 4,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Primrose",
	diffuseMap = "mod_assets/models/flowers/Primrose.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_7",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Red_flow.fbx",
		},
		{
			class = "Item",
			uiName = "White Pink flow Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 5,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "ST_Petal",
	diffuseMap = "mod_assets/models/flowers/ST_Petal.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_8",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Red_rose.fbx",
		},
		{
			class = "Item",
			uiName = "Red Rose Flowers",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 6,
			weight = 0.2,
			stackable = true,
		},
		{
			class = "Particle",
			particleSystem = "etherweed",
		},
	},
}
defineMaterial{
	name = "Sepal3",
	diffuseMap = "mod_assets/models/flowers/Sepal3.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_10",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Small_mu.fbx",
		},
		{
			class = "Item",
			uiName = "Small Sun Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 7,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Sepal5",
	diffuseMap = "mod_assets/models/flowers/Sepal5.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_11",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Snow_this.fbx",
		},
		{
			class = "Item",
			uiName = "Smal Yellow Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 8,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Sonchus_",
	diffuseMap = "mod_assets/models/flowers/Sonchus_.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_12",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/White_fl.fbx",
		},
		{
			class = "Item",
			uiName = "White Flower",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 9,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Sepal6",
	diffuseMap = "mod_assets/models/flowers/Sepal6.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}

defineObject{
	name = "flower_13",
	baseObject = "base_item",
	tags = { "forge_herb" },
	components = {
		{
			class = "Model",
			model = "mod_assets/models/flowers/Yelow_f.fbx",
		},
		{
			class = "Item",
			uiName = "Yelow Flowers",
			gfxAtlas = "mod_assets/textures/flowers_1.tga",
			gfxIndex = 10,
			weight = 0.2,
			stackable = true,
		},
	},
}
defineMaterial{
	name = "Sepal7",
	diffuseMap = "mod_assets/models/flowers/Sepal7.tga",
--	specularMap = "assets/textures/common/black.tga",
	doubleSided = true,
	lighting = false,
	alphaTest = true,
	blendMode = "Opaque",
	textureAddressMode = "Wrap",
	glossiness = 20,
	depthBias = 0,
}


